summaryrefslogtreecommitdiffstats
path: root/test/116-nodex2oat
diff options
context:
space:
mode:
authorAndreas Gampe <agampe@google.com>2015-02-03 18:26:55 -0800
committerAndreas Gampe <agampe@google.com>2015-02-04 13:16:38 -0800
commit3ad5d5ea993376e7cae41ee6642d5e963822db84 (patch)
tree6e618ceac09b3143e0b8a10a9e3df773de5d1697 /test/116-nodex2oat
parent69d69ea40fe64ff2e70daffc365a2fffe5964fcc (diff)
downloadart-3ad5d5ea993376e7cae41ee6642d5e963822db84.tar.gz
art-3ad5d5ea993376e7cae41ee6642d5e963822db84.tar.bz2
art-3ad5d5ea993376e7cae41ee6642d5e963822db84.zip
ART: Fix old run scripts
The run scripts had not been updated when the central command script was unified, so they were always choosing target mode. Also update the run scripts so they abort when wrong options are used. Also strip superfluous whitespace from commands. Change-Id: I13cc59f43734a86062fc3ce5ff4ea308c301d4d3
Diffstat (limited to 'test/116-nodex2oat')
-rwxr-xr-xtest/116-nodex2oat/run8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/116-nodex2oat/run b/test/116-nodex2oat/run
index 72488f0da3..9e5c7ddab9 100755
--- a/test/116-nodex2oat/run
+++ b/test/116-nodex2oat/run
@@ -16,6 +16,14 @@
flags="${@}"
+# This test is supposed to test without oat files, so doesn't work for prebuild. Make sure that
+# flag isn't set, or complain.
+# Note: prebuild is the default.
+if [[ "${flags}" == *--prebuild* || "${flags}" != *--no-prebuild* ]] ; then
+ echo "Test 116-nodex2oat cannot run in prebuild mode."
+ exit 1
+fi
+
# Make sure we can run without an oat file,
echo "Run -Xnodex2oat"
${RUN} ${flags} --runtime-option -Xnodex2oat